# BEGIN SourceDeps(oneline):
BuildRequires: perl(Catmandu.pm) perl(Catmandu/Bag.pm) perl(Catmandu/Sane.pm) perl(Catmandu/Store.pm) perl(ExtUtils/MakeMaker.pm) perl(Module/Build.pm) perl(Moo.pm) perl(Software/License.pm) perl(Store/CouchDB.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(Throwable/Error.pm) perl(MooX/Log/Any.pm)
# END SourceDeps(oneline)
%define module_version 0.01
%define module_name Catmandu-Store-CouchDB
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt1
Summary: A searchable store backed by CouchDB
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/N/NI/NICS/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
use Catmandu::Store::CouchDB;

    my $store = Catmandu::Store::CouchDB->new;

    my $obj1 = $store->bag->add({ name => 'Patrick' });

    printf "obj1 stored as %%s\n" , $obj1->{_id};

    # Force an id in the store
    my $obj2 = $store->bag->add({ _id => 'test123' , name => 'Nicolas' });

    my $obj3 = $store->bag->get('test123');

    $store->bag->delete('test123');

    $store->bag->delete_all;

    # All bags are iterators
    $store->bag->each(sub { ... });
    $store->bag->take(10)->each(sub { ... });


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE Changes
%perl_vendor_privlib/C*

%changelog
* Thu Apr 17 2014 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- initial import by package builder

